package com.zerohighdef.geoffrey;

import com.zerohighdef.geoffrey.Commands.FindCommand;
import com.zerohighdef.geoffrey.Commands.SellingCommand;
import org.bukkit.Bukkit;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.plugin.java.JavaPlugin;

import java.util.logging.Logger;

public final class GeoffreyMC extends JavaPlugin {
    private String APIToken;
    private String baseURL;
    private static FileConfiguration config;
    private Logger log = Logger.getLogger( "Minecraft" );

    @Override
    public void onEnable() {
        // Plugin startup logic
        saveDefaultConfig();
        reloadConfig();

        if (isEnabled()) {
            APIToken = config.getString("geoffrey_api.key");
            baseURL = config.getString("geoffrey_api.base_url");
            FindCommand findCommand = new FindCommand(this);
            this.getCommand("geoffrey_find").setExecutor(findCommand);

            SellingCommand sellingCommand = new SellingCommand(this);
            this.getCommand("geoffrey_selling").setExecutor(sellingCommand);
        }

    }

    public void log(String message) {
        log.info( "[GeoffreyMC]: " + message );
    }

    @Override
    public void onDisable() {
        // Plugin shutdown logic
    }

    @Override
    public void reloadConfig() {
        super.reloadConfig();
        config = Bukkit.getPluginManager().getPlugin("GeoffreyMC").getConfig();

    }

    public String getAPIToken() {
        return APIToken;
    }

    public String getBaseURL() {
        return baseURL;
    }
}
